PDA

View Full Version : Overriding row editor plugin twice in same application



sravaniv
16 Aug 2012, 5:13 AM
Hi Guys,

I need your help badly once again.
In our application,there are two tabs which have grids.They both have the row editing feature but the number of buttons needed for the row editor and other features of row editor are different in both the tabs.This had led me to override the row editor plugin twice for each tab.

The problem is sometimes,the overwritten plugins get mixed up and plugin in one tab reflects the other plugin of the other tab and vice versa.
How do I distinguish between the plugins written for the two separate tabs without facing this problem?

Thanks

scottmartin
16 Aug 2012, 9:35 AM
You could use the following:



Ext.define('myRowEditor1', {
override: 'Ext.grid.plugin.RowEditing'.
functionToOverride: function(){
}
});

Ext.define('myRowEditor2', {
override: 'Ext.grid.plugin.RowEditing'.
functionToOverride: function(){
}
});


Scott.